Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions | Variables

# enc/iso_8859_11.c File Reference

`#include "regenc.h"`
Include dependency graph for iso_8859_11.c:

Go to the source code of this file.

## Defines
#define | ENC_IS_ISO_8859_11_CTYPE(code, ctype) ((EncISO_8859_11_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)
## Functions
static int | is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc ARG_UNUSED)
| OnigEncodingDefine (iso_8859_11, ISO_8859_11)
## Variables
static const unsigned short | EncISO_8859_11_CtypeTable [256]

## Define Documentation

#define ENC_IS_ISO_8859_11_CTYPE | ( |  | code,
|  |  | ctype
| ) |  | ((EncISO_8859_11_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

Definition at line 32 of file iso_8859_11.c.

Referenced by is_code_ctype().

## Function Documentation

static int is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 71 of file iso_8859_11.c.

References ENC_IS_ISO_8859_11_CTYPE, and FALSE.

OnigEncodingDefine | ( | iso_8859_11 | ,
|  | ISO_8859_11 |
| ) |  |

## Variable Documentation

const unsigned short EncISO_8859_11_CtypeTable[256]`[static]`

Definition at line 35 of file iso_8859_11.c.